interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/random/?unique=1
  response:
    body: {string: "<html>\n <head>\n  <title>302 Found</title>\n </head>\n <body>\n
        \ <h1>302 Found</h1>\n  The resource was found at <a href=\"https://api.reddit.com/r/GoldandBlack/.api?unique=1&amp;utm_campaign=redirect&amp;utm_medium=desktop&amp;utm_source=reddit&amp;utm_name=random_subreddit\">https://api.reddit.com/r/GoldandBlack/.api?unique=1&amp;utm_campaign=redirect&amp;utm_medium=desktop&amp;utm_source=reddit&amp;utm_name=random_subreddit</a>;\nyou
        should be redirected automatically.\n\n\n </body>\n</html>"}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['487']
      Content-Type: [text/html; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:43 GMT']
      Server: [snooserv]
      Set-Cookie: [edgebucket=Buva14mu0OgkOGi08G; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505363983.378092,VS0,VE42']
      cache-control: ['max-age=0, must-revalidate']
      location: ['https://api.reddit.com/r/GoldandBlack/.api?unique=1&utm_campaign=redirect&utm_medium=desktop&utm_source=reddit&utm_name=random_subreddit']
      x-ua-compatible: [IE=edge]
    status: {code: 302, message: Found}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/GoldandBlack/.api?unique=1&utm_campaign=redirect&utm_medium=desktop&utm_source=reddit&utm_name=random_subreddit&unique=1
  response:
    body:
      string: !!binary |
[encoded data, 20825 characters]
        DOs6ZX6Vd7678f8HAOhtG2wvAQA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['13985']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:43 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjbnic.2.1505363983474.Z0FBQUFBQlp1Z2dQRGlvRllPS1UtR1dub3R6NWRBUmVJVDN4RExWQzc4S2dNRVhVYkdKX2RKOUpMZ3ltcF9kd3JXNzd3WW83OEotRDNrYUZlMDhxMVd2LVBxdTVlczFTZ0FpdUFOM1dHcVdaUDU4dnJGN0UxYlptOFJfTVF4QzN0UzlBR2Rud2k3aXM;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:43
          GMT; secure', 'session_tracker=F8LLROklZq9Ldtf9Ec.0.1505363983470.Z0FBQUFBQlp1Z2dQWTc2aDNQWXg1NnFKZ2hIMDRnU0RHRWpqVjV2VEJZVkEzUnR6QnczbXIxeFZhNXBMeUJOUW04NWI4MUtNdWhrVXhWNTlkN1lEMkRxcU5NbWVOLWNTd29aWk9feDdHY1JXb1NFbXZYeXNSLW5zYU5mSlpGMXc3RGlBalBCMG9iMFY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:43
          GMT; secure', edgebucket=s6BqQdIx6rJlTZLnx5; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505363983.454197,VS0,VE172']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjbnic.2.1505363983474.Z0FBQUFBQlp1Z2dQRGlvRllPS1UtR1dub3R6NWRBUmVJVDN4RExWQzc4S2dNRVhVYkdKX2RKOUpMZ3ltcF9kd3JXNzd3WW83OEotRDNrYUZlMDhxMVd2LVBxdTVlczFTZ0FpdUFOM1dHcVdaUDU4dnJGN0UxYlptOFJfTVF4QzN0UzlBR2Rud2k3aXM;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:43
          GMT; secure', 'session_tracker=F8LLROklZq9Ldtf9Ec.0.1505363983470.Z0FBQUFBQlp1Z2dQWTc2aDNQWXg1NnFKZ2hIMDRnU0RHRWpqVjV2VEJZVkEzUnR6QnczbXIxeFZhNXBMeUJOUW04NWI4MUtNdWhrVXhWNTlkN1lEMkRxcU5NbWVOLWNTd29aWk9feDdHY1JXb1NFbXZYeXNSLW5zYU5mSlpGMXc3RGlBalBCMG9iMFY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:43
          GMT; secure', edgebucket=s6BqQdIx6rJlTZLnx5; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=R4d4HyQZgUbCSDqaxk8dPRW5K6UQUlCgC90uE4GUZQeB9trruUmjPT8yqyazbABauahgISUCLlhrXr%2BDInGazg0PgIDdgak0']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=s6BqQdIx6rJlTZLnx5; loid=00000000000drjbnic.2.1505363983474.Z0FBQUFBQlp1Z2dQRGlvRllPS1UtR1dub3R6NWRBUmVJVDN4RExWQzc4S2dNRVhVYkdKX2RKOUpMZ3ltcF9kd3JXNzd3WW83OEotRDNrYUZlMDhxMVd2LVBxdTVlczFTZ0FpdUFOM1dHcVdaUDU4dnJGN0UxYlptOFJfTVF4QzN0UzlBR2Rud2k3aXM;
          session_tracker=F8LLROklZq9Ldtf9Ec.0.1505363983470.Z0FBQUFBQlp1Z2dQWTc2aDNQWXg1NnFKZ2hIMDRnU0RHRWpqVjV2VEJZVkEzUnR6QnczbXIxeFZhNXBMeUJOUW04NWI4MUtNdWhrVXhWNTlkN1lEMkRxcU5NbWVOLWNTd29aWk9feDdHY1JXb1NFbXZYeXNSLW5zYU5mSlpGMXc3RGlBalBCMG9iMFY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/GoldandBlack/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 77945 characters]
        0YX/H3ABhSbt3wQA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['52281']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:44 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505363984.691378,VS0,VE490']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=F8LLROklZq9Ldtf9Ec.0.1505363983708.Z0FBQUFBQlp1Z2dRTGpLOVJYdHh1TElOOUZFenR1eUdieHhUeG5jM1pLWmFFV2ZWLUZXcWxjNVZLN1hvUlFjSWxvVU4wYmxpdkN5NUd3bXNWTmtsdmVYSFM2RTk2ak9DcWZvQlc4NUJSX1luRmFPNmxkSGFlN0RUX1N2N3ZwQXJHOEtXNnJNbDRvVFM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:44
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=uAEjixKzvvuMDEzGacr80o94x7e0og6ZF2KyUe0rVarYfg337ukqubKYP96oCQchcdo26XH69%2BAeGYD6ByS%2B%2BLZz51lea7UM']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
